Index: /trunk/wp-admin/categories.php
===================================================================
--- /trunk/wp-admin/categories.php	(revision 12227)
+++ /trunk/wp-admin/categories.php	(revision 12228)
@@ -281,5 +281,5 @@
 	<label for="category_description"><?php _e('Description') ?></label>
 	<textarea name="category_description" id="category_description" rows="5" cols="40"></textarea>
-    <p><?php _e('The description is not prominent by default, however some themes may show it.'); ?></p>
+    <p><?php _e('The description is not prominent by default; however, some themes may show it.'); ?></p>
 </div>
 
Index: /trunk/wp-admin/edit-category-form.php
===================================================================
--- /trunk/wp-admin/edit-category-form.php	(revision 12227)
+++ /trunk/wp-admin/edit-category-form.php	(revision 12228)
@@ -58,5 +58,4 @@
 			<th scope="row" valign="top"><label for="cat_name"><?php _e('Category Name') ?></label></th>
 			<td><input name="cat_name" id="cat_name" type="text" value="<?php echo esc_attr($category->name); ?>" size="40" aria-required="true" /><br />
-            <span class="description"><?php _e('The name is used to identify the category almost everywhere, for example under the post or in the category widget.'); ?></span></td>
 		</tr>
 		<tr class="form-field">
@@ -75,5 +74,5 @@
 			<th scope="row" valign="top"><label for="category_description"><?php _e('Description') ?></label></th>
 			<td><textarea name="category_description" id="category_description" rows="5" cols="50" style="width: 97%;"><?php echo esc_html($category->description); ?></textarea><br />
-            <span class="description"><?php _e('The description is not prominent by default, however some themes may show it.'); ?></span></td>
+            <span class="description"><?php _e('The description is not prominent by default; however, some themes may show it.'); ?></span></td>
 		</tr>
 		<?php do_action('edit_category_form_fields', $category); ?>
Index: /trunk/wp-admin/edit-link-categories.php
===================================================================
--- /trunk/wp-admin/edit-link-categories.php	(revision 12227)
+++ /trunk/wp-admin/edit-link-categories.php	(revision 12228)
@@ -210,4 +210,5 @@
 	<label for="description"><?php _e('Description (optional)') ?></label>
 	<textarea name="description" id="description" rows="5" cols="40"></textarea>
+	<p><?php _e('The description is not prominent by default; however, some themes may show it.'); ?></p>
 </div>
 
Index: /trunk/wp-admin/edit-link-category-form.php
===================================================================
--- /trunk/wp-admin/edit-link-category-form.php	(revision 12227)
+++ /trunk/wp-admin/edit-link-category-form.php	(revision 12228)
@@ -80,5 +80,6 @@
 		<tr class="form-field">
 			<th scope="row" valign="top"><label for="description"><?php _e('Description (optional)') ?></label></th>
-			<td><textarea name="description" id="description" rows="5" cols="50" style="width: 97%;"><?php echo $category->description; ?></textarea></td>
+			<td><textarea name="description" id="description" rows="5" cols="50" style="width: 97%;"><?php echo $category->description; ?></textarea><br />
+			<span class="description"><?php _e('The description is not prominent by default; however, some themes may show it.'); ?></span></td>
 		</tr>
 		<?php do_action('edit_link_category_form_fields', $category); ?>
Index: /trunk/wp-admin/edit-tag-form.php
===================================================================
--- /trunk/wp-admin/edit-tag-form.php	(revision 12227)
+++ /trunk/wp-admin/edit-tag-form.php	(revision 12228)
@@ -34,6 +34,5 @@
 		<tr class="form-field form-required">
 			<th scope="row" valign="top"><label for="name"><?php _e('Tag name') ?></label></th>
-			<td><input name="name" id="name" type="text" value="<?php if ( isset( $tag->name ) ) echo esc_attr($tag->name); ?>" size="40" aria-required="true" />
-            <p class="description"><?php _e('The name is how the tag appears on your site.'); ?></p></td>
+			<td><input name="name" id="name" type="text" value="<?php if ( isset( $tag->name ) ) echo esc_attr($tag->name); ?>" size="40" aria-required="true" /></td>
 		</tr>
 		<tr class="form-field">
Index: /trunk/wp-admin/edit-tags.php
===================================================================
--- /trunk/wp-admin/edit-tags.php	(revision 12227)
+++ /trunk/wp-admin/edit-tags.php	(revision 12228)
@@ -296,5 +296,5 @@
 	<label for="description"><?php _e('Description') ?></label>
 	<textarea name="description" id="description" rows="5" cols="40"></textarea>
-    <p><?php _e('The description is not prominent by default, however some themes may show it.'); ?></p>
+    <p><?php _e('The description is not prominent by default; however, some themes may show it.'); ?></p>
 </div>
 
Index: /trunk/wp-admin/includes/meta-boxes.php
===================================================================
--- /trunk/wp-admin/includes/meta-boxes.php	(revision 12227)
+++ /trunk/wp-admin/includes/meta-boxes.php	(revision 12228)
@@ -376,6 +376,6 @@
 <input name="advanced_view" type="hidden" value="1" />
 <p class="meta-options">
-	<label for="comment_status" class="selectit"> <input name="comment_status" type="checkbox" id="comment_status" value="open" <?php checked($post->comment_status, 'open'); ?> /> <?php _e('Allow Comments') ?></label><br />
-	<label for="ping_status" class="selectit"><input name="ping_status" type="checkbox" id="ping_status" value="open" <?php checked($post->ping_status, 'open'); ?> /> <?php _e('Allow <a href="http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments" target="_blank">trackbacks and pingbacks</a>') ?></label>
+	<label for="comment_status" class="selectit"><input name="comment_status" type="checkbox" id="comment_status" value="open" <?php checked($post->comment_status, 'open'); ?> /><?php _e('Allow Comments on this page.') ?></label><br />
+	<label for="ping_status" class="selectit"><input name="ping_status" type="checkbox" id="ping_status" value="open" <?php checked($post->ping_status, 'open'); ?> /><?php printf( __('Allow <a href="%s" target="_blank">trackbacks and pingbacks</a> on this page.'),_c('http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments','Url to codex article on Managing Comments')); ?></label>
 </p>
 <?php
@@ -480,5 +480,5 @@
 <label class="screen-reader-text" for="parent_id"><?php _e('Page Parent') ?></label>
 <?php wp_dropdown_pages(array('exclude_tree' => $post->ID, 'selected' => $post->post_parent, 'name' => 'parent_id', 'show_option_none' => __('Main Page (no parent)'), 'sort_column'=> 'menu_order, post_title')); ?>
-<p><?php _e('You can arrange your pages in hierarchies, for example you could have an &#8220;About&#8221; page that has &#8220;Life Story&#8221; and &#8220;My Dog&#8221; pages under it. There are no limits to how deeply nested you can make pages.'); ?></p>
+<p><?php _e('You can arrange your pages in hierarchies. For example, you could have an &#8220;About&#8221; page that has &#8220;Life Story&#8221; and &#8220;My Dog&#8221; pages under it. There are no limits to how deeply nested you can make pages.'); ?></p>
 <?php
 	if ( 0 != count( get_page_templates() ) ) { ?>
@@ -493,5 +493,5 @@
 <h5><?php _e('Order') ?></h5>
 <p><label class="screen-reader-text" for="menu_order"><?php _e('Page Order') ?></label><input name="menu_order" type="text" size="4" id="menu_order" value="<?php echo esc_attr($post->menu_order) ?>" /></p>
-<p><?php _e('Pages are usually ordered alphabetically, but you can put a number above to change the order pages appear in. (We know this is a little janky, it&#8217;ll be better in future releases.)'); ?></p>
+<p><?php _e('Pages are usually ordered alphabetically, but you can put a number above to change the order pages appear in.'); ?></p>
 <?php
 }