Index: /trunk/wp-content/themes/twentyten/attachment.php
===================================================================
--- /trunk/wp-content/themes/twentyten/attachment.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/attachment.php	(revision 13498)
@@ -12,9 +12,18 @@
 
 					<div class="entry-meta">
-						<span class="meta-prep meta-prep-author"><?php _e( 'By ', 'twentyten' ); ?></span>
-						<span class="author vcard"><a class="url fn n" href="<?php echo get_author_posts_url( get_the_author_meta('ID') ); ?>" title="<?php printf( esc_attr__( 'View all posts by %s', 'twentyten' ), $authordata->display_name ); ?>"><?php the_author(); ?></a></span>
-						<span class="meta-sep"><?php _e( ' | ', 'twentyten' ); ?></span>
-						<span class="meta-prep meta-prep-entry-date"><?php _e( 'Published ', 'twentyten' ); ?></span>
-						<span class="entry-date"><abbr class="published" title="<?php the_time() ?>"><?php echo get_the_date(); ?></abbr></span>
+						<?php
+							printf(__( '<span class="meta-prep meta-prep-author"> By </span> <span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>', 'twentyten'),
+								get_author_posts_url( get_the_author_meta('ID') ),
+								sprintf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ),
+								get_the_author()
+							);
+						?>
+						<span class="meta-sep"> | </span>
+						<?php
+							printf( __( '<span class="meta-prep meta-prep-entry-date">Published </span> <span class="entry-date"><abbr class="published" title="%1$s">%2$s</abbr></span>', 'twentyten'),
+								esc_attr(get_the_time()),
+								get_the_date()
+							);
+						?>
 						<?php edit_post_link( __( 'Edit', 'twentyten' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t" ); ?>
 					</div><!-- .entry-meta -->
@@ -43,10 +52,20 @@
 
 					<div class="entry-utility">
-					<?php printf( __( 'This entry was posted in %1$s%2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>. Follow any comments here with the <a href="%5$s" title="Comments RSS to %4$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a>.', 'twentyten' ),
-						get_the_category_list(', '),
-						get_the_tag_list( __( ' and tagged ', 'twentyten' ), ', ', '' ),
-						get_permalink(),
-						the_title_attribute('echo=0'),
-						get_post_comments_feed_link() ); ?>
+					<?php
+						$tag_list = get_the_tag_list();
+						if ( '' != $tag_list ) {
+							$utility_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>. Follow any comments here with the <a href="%5$s" title="Comments RSS to %4$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a>.', 'twentyten' );
+						} else {
+							$utility_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>. Follow any comments here with the <a href="%5$s" title="Comments RSS to %4$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a>.', 'twentyten' );
+						}
+						printf( 
+							$utility_text,
+							get_the_category_list(', '),
+							$tag_list,
+							get_permalink(),
+							the_title_attribute('echo=0'),
+							get_post_comments_feed_link() 
+						); 
+					?>
 
 <?php if ( comments_open() && pings_open() ) : // Comments and trackbacks open ?>
Index: /trunk/wp-content/themes/twentyten/category.php
===================================================================
--- /trunk/wp-content/themes/twentyten/category.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/category.php	(revision 13498)
@@ -4,5 +4,7 @@
 			<div id="content">
 
-				<h1 class="page-title"><?php _e( 'Category Archives:', 'twentyten' ); ?> <span><?php single_cat_title(); ?></span></span></h1>
+				<h1 class="page-title"><?php 
+					printf(__( 'Category Archives: %s', 'twentyten' ), '<span>' . single_cat_title('', false) . '</span>');
+				?></h1>
 				<?php $categorydesc = category_description(); if ( !empty($categorydesc) ) echo apply_filters( 'archive_meta', '<div class="archive-meta">' . $categorydesc . '</div>' ); ?>
 
Index: /trunk/wp-content/themes/twentyten/comments.php
===================================================================
--- /trunk/wp-content/themes/twentyten/comments.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/comments.php	(revision 13498)
@@ -1,7 +1,2 @@
-<?php
-	// Do not delete these lines
-	if ( ! defined('ABSPATH') )
-		die ( __( 'Please do not load this page directly. Thanks!', 'twentyten' ) );
-?>
 			<div id="comments">
 <?php if ( post_password_required() ) : ?>
@@ -18,5 +13,9 @@
 
 <?php if ( have_comments() ) : ?>
-			<h3 id="comments-title"><?php comments_number( __('No Responses to', 'twentyten'), __('One Response to', 'twentyten'), __('% Responses to', 'twentyten') );?>  <em><?php the_title(); ?></em></h3>
+			<h3 id="comments-title"><?php comments_number( 
+				sprintf(__('No Responses to %s', 'twentyten'), '<em>' . get_the_title() . '</em>'),
+				sprintf(__('One Response to %s', 'twentyten'), '<em>' . get_the_title() . '</em>'),
+				sprintf(__('%% Responses to %s', 'twentyten'), '<em>' . get_the_title() . '</em>')
+			); ?> </h3>
 
 <?php if ( get_comment_pages_count() > 1 ) : // are there comments to navigate through ?>
Index: /trunk/wp-content/themes/twentyten/header.php
===================================================================
--- /trunk/wp-content/themes/twentyten/header.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/header.php	(revision 13498)
@@ -2,6 +2,6 @@
 <html <?php language_attributes(); ?>>
 <head>
-    <title><?php
-        if ( is_single() ) {
+	<title><?php
+		if ( is_single() ) {
 			single_post_title(); echo ' | '; bloginfo('name');
 		} elseif ( is_home() || is_front_page() ) {
@@ -16,5 +16,5 @@
 			wp_title(''); echo ' | '; bloginfo('name'); twentyten_the_page_number();
 		}
-    ?></title>
+	?></title>
 
 	<meta http-equiv="content-type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
Index: /trunk/wp-content/themes/twentyten/index.php
===================================================================
--- /trunk/wp-content/themes/twentyten/index.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/index.php	(revision 13498)
@@ -4,13 +4,5 @@
 			<div id="content">
 
-    <?php if ( have_posts() ) : 
-		get_generic_template( 'loop', 'index' );
-    else : ?>
-		<h2><?php _e( 'Not Found', 'twentyten' ); ?></h2>
-		<div class="entry-content">
-			<p><?php _e( 'Apologies, but we were unable to find what you were looking for. Perhaps searching will help.', 'twentyten' ); ?></p>
-			<?php get_search_form(); ?>
-		</div>
-    <?php endif; ?>
+			<?php get_generic_template( 'loop', 'index' ); ?>
 
 			</div><!-- #content -->
Index: /trunk/wp-content/themes/twentyten/loop.php
===================================================================
--- /trunk/wp-content/themes/twentyten/loop.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/loop.php	(revision 13498)
@@ -1,8 +1,8 @@
-<?php if ( $wp_query->max_num_pages > 1 ) { ?>
+<?php if ( $wp_query->max_num_pages > 1 ) : ?>
 	<div id="nav-above" class="navigation">
 		<div class="nav-previous"><?php next_posts_link(__( '<span class="meta-nav">&larr;</span> Older posts', 'twentyten' )); ?></div>
 		<div class="nav-next"><?php previous_posts_link(__( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyten' )); ?></div>
 	</div><!-- #nav-above -->
-<?php } ?>
+<?php endif; ?>
 
 <?php if ( ! have_posts() ) : ?>
@@ -17,111 +17,131 @@
 
 <?php while ( have_posts() ) : the_post(); ?>
-<?php if ( in_category( 'Gallery' ) ) { ?>
-	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
-		<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'twentyten'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
+	<?php if ( in_category( 'Gallery' ) ) : ?>
+		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
+			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'twentyten'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
 
-		<div class="entry-meta">
-			<span class="meta-prep meta-prep-author"><?php _e( 'Posted on ', 'twentyten' ); ?></span>
-			<a href="<?php the_permalink(); ?>" title="<?php the_time(); ?>" rel="bookmark"><span class="entry-date"><?php echo get_the_date(); ?></span></a>
-			<span class="meta-sep"> <?php _e( 'by ', 'twentyten' ); ?> </span>
-			<span class="author vcard"><a class="url fn n" href="<?php echo get_author_posts_url( get_the_author_meta('ID') ); ?>" title="<?php printf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ); ?>"><?php the_author(); ?></a></span>
-		</div><!-- .entry-meta -->
+			<div class="entry-meta">
+				<?php
+					printf(__( '<span class="meta-prep meta-prep-author">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a> <span class="meta-sep"> by </span> <span class="author vcard"><a class="url fn n" href="%4$s" title="%5$s">%6$s</a></span>', 'twentyten'),
+						get_permalink(),
+						esc_attr( get_the_time() ),
+						get_the_date(),
+						get_author_posts_url( get_the_author_meta('ID') ),
+						sprintf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ),
+						get_the_author()
+					);
+				?>
+			</div><!-- .entry-meta -->
 
-		<div class="entry-content">
-			<div class="gallery-thumb">
-				<a class="size-thumbnail" href="<?php the_permalink(); ?>"><?php
-				$images =& get_children( array('post_parent' => $post->ID, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'orderby' => 'menu_order', 'order' => 'ASC', 'numberposts' => 999) );
-				$total_images = count($images);
-				$image = array_shift($images);
-				echo wp_get_attachment_image( $image->ID, 'thumbnail' );
-				?></a>
-			</div>
-			<p><em><?php printf( __('This gallery contains <a %1$s>%2$s photos</a>.', 'twentyten'), 'href="' . get_permalink() . '" title="' . sprintf( esc_attr__('Permalink to %s', 'twentyten'), the_title_attribute('echo=0') ) . '" rel="bookmark"', $total_images ); ?></em></p>
+			<div class="entry-content">
+				<div class="gallery-thumb">
+					<a class="size-thumbnail" href="<?php the_permalink(); ?>"><?php
+					$images = get_children( array('post_parent' => $post->ID, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'orderby' => 'menu_order', 'order' => 'ASC', 'numberposts' => 999) );
+					$total_images = count($images);
+					$image = array_shift($images);
+					echo wp_get_attachment_image( $image->ID, 'thumbnail' );
+					?></a>
+				</div>
+				<p><em><?php printf( __('This gallery contains <a %1$s>%2$s photos</a>.', 'twentyten'), 
+						'href="' . get_permalink() . '" title="' . sprintf( esc_attr__('Permalink to %s', 'twentyten'), the_title_attribute('echo=0') ) . '" rel="bookmark"', 
+						$total_images 
+					); ?></em></p>
 
-			<?php the_excerpt( '' ); ?>
-		</div><!-- .entry-content -->
+				<?php the_excerpt( '' ); ?>
+			</div><!-- .entry-content -->
 
-		<div class="entry-utility">
-			<?php
-				$category_id = get_cat_ID( 'Gallery' );
-				$category_link = get_category_link( $category_id );
-			?>
-			<a href="<?php echo $category_link; ?>" title="<?php esc_attr_e('View posts in the Gallery category', 'twentyten'); ?>"><?php _e('More Galleries', 'twentyten'); ?></a>
-			<span class="meta-sep"><?php _e( ' | ', 'twentyten' ); ?></span>
-			<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
-			<?php edit_post_link( __( 'Edit', 'twentyten' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t\n" ); ?>
-		</div><!-- #entry-utility -->
-	</div>
+			<div class="entry-utility">
+				<?php
+					$category_id = get_cat_ID( 'Gallery' );
+					$category_link = get_category_link( $category_id );
+				?>
+				<a href="<?php echo $category_link; ?>" title="<?php esc_attr_e('View posts in the Gallery category', 'twentyten'); ?>"><?php _e('More Galleries', 'twentyten'); ?></a>
+				<span class="meta-sep"> | </span>
+				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
+				<?php edit_post_link( __( 'Edit', 'twentyten' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t\n" ); ?>
+			</div><!-- #entry-utility -->
+		</div>
 
 
-<?php } elseif ( in_category( 'asides' ) ) { ?>
-	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
-<?php if ( is_archive() || is_search() ) : //Only display Excerpts for archives & search ?>
-		<div class="entry-summary">
-			<?php the_excerpt( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
-		</div><!-- .entry-summary -->
-<?php else : ?>
-		<div class="entry-content">
-			<?php the_content( __( 'Continue&nbsp;reading&nbsp;<span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
-		</div><!-- .entry-content -->
-<?php endif; ?>
+	<?php elseif ( in_category( 'asides' ) ) : ?>
+		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
+	<?php if ( is_archive() || is_search() ) : //Only display Excerpts for archives & search ?>
+			<div class="entry-summary">
+				<?php the_excerpt( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
+			</div><!-- .entry-summary -->
+	<?php else : ?>
+			<div class="entry-content">
+				<?php the_content( __( 'Continue&nbsp;reading&nbsp;<span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
+			</div><!-- .entry-content -->
+	<?php endif; ?>
 
-		<div class="entry-utility">
-			<span class="meta-prep meta-prep-author"><?php _e( 'Posted on ', 'twentyten' ); ?></span>
-			<a href="<?php the_permalink(); ?>" title="<?php the_time(); ?>" rel="bookmark"><span class="entry-date"><?php echo get_the_date(); ?></span></a>
-			<span class="meta-sep"> <?php _e( ' by ', 'twentyten' ); ?> </span>
-			<span class="author vcard"><a class="url fn n" href="<?php echo get_author_posts_url( get_the_author_meta('ID') ); ?>" title="<?php printf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ); ?>"><?php the_author(); ?></a></span>
-			<span class="meta-sep"><?php _e( ' | ', 'twentyten' ); ?></span>
-			<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
-			<?php edit_post_link( __( 'Edit', 'twentyten' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t\n" ); ?>
-		</div><!-- #entry-utility -->
-	</div><!-- #post-<?php the_ID(); ?> -->
+			<div class="entry-utility">
+				<?php
+					printf(__( '<span class="meta-prep meta-prep-author">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a> <span class="meta-sep"> by </span> <span class="author vcard"><a class="url fn n" href="%4$s" title="%5$s">%6$s</a></span>', 'twentyten'),
+						get_permalink(),
+						esc_attr( get_the_time() ),
+						get_the_date(),
+						get_author_posts_url( get_the_author_meta('ID') ),
+						sprintf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ),
+						get_the_author()
+					);
+				?>
+				<span class="meta-sep"> | </span>
+				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
+				<?php edit_post_link( __( 'Edit', 'twentyten' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t\n" ); ?>
+			</div><!-- #entry-utility -->
+		</div><!-- #post-<?php the_ID(); ?> -->
 
 
-<?php } else { ?>
-	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
-		<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'twentyten'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
+	<?php else : ?>
+		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
+			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__('Permalink to %s', 'twentyten'), the_title_attribute('echo=0') ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
 
-		<div class="entry-meta">
-			<span class="meta-prep meta-prep-author"><?php _e('Posted on ', 'twentyten'); ?></span>
-			<a href="<?php
-the_permalink(); ?>" title="<?php the_time(); ?>" rel="bookmark"><span class="entry-date"><?php echo get_the_date(); ?></span></a>
-			<span class="meta-sep"><?php _e( ' by ', 'twentyten' ); ?></span>
-			<span class="author vcard"><a class="url fn n" href="<?php echo get_author_posts_url( get_the_author_meta('ID') ); ?>" title="<?php printf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ); ?>"><?php the_author(); ?></a></span>
-		</div><!-- .entry-meta -->
+			<div class="entry-meta">
+				<?php
+					printf(__( '<span class="meta-prep meta-prep-author">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a> <span class="meta-sep"> by </span> <span class="author vcard"><a class="url fn n" href="%4$s" title="%5$s">%6$s</a></span>', 'twentyten'),
+						get_permalink(),
+						esc_attr( get_the_time() ),
+						get_the_date(),
+						get_author_posts_url( get_the_author_meta('ID') ),
+						sprintf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ),
+						get_the_author()
+					);
+				?>
+			</div><!-- .entry-meta -->
 
-<?php if ( is_archive() || is_search() ) : //Only display Excerpts for archives & search ?>
-		<div class="entry-summary">
-			<?php the_excerpt( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
-		</div><!-- .entry-summary -->
-<?php else : ?>
-		<div class="entry-content">
-			<?php the_content( __( 'Continue&nbsp;reading&nbsp;<span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
-			<?php wp_link_pages('before=<div class="page-link">' . __( 'Pages:', 'twentyten' ) . '&after=</div>'); ?>
-		</div><!-- .entry-content -->
-<?php endif; ?>
+	<?php if ( is_archive() || is_search() ) : //Only display Excerpts for archives & search ?>
+			<div class="entry-summary">
+				<?php the_excerpt( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
+			</div><!-- .entry-summary -->
+	<?php else : ?>
+			<div class="entry-content">
+				<?php the_content( __( 'Continue&nbsp;reading&nbsp;<span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
+				<?php wp_link_pages('before=<div class="page-link">' . __( 'Pages:', 'twentyten' ) . '&after=</div>'); ?>
+			</div><!-- .entry-content -->
+	<?php endif; ?>
 
-		<div class="entry-utility">
-			<span class="cat-links"><span class="entry-utility-prep entry-utility-prep-cat-links"><?php echo twentyten_cat_list(); ?></span></span>
-			<span class="meta-sep"><?php _e( ' | ', 'twentyten' ); ?></span>
-			<?php $tags_text = twentyten_tag_list(); ?>
-			<?php if ( !empty($tags_text) ) : ?>
-			<span class="tag-links"><span class="entry-utility-prep entry-utility-prep-tag-links"><?php echo $tags_text; ?></span></span>
-			<span class="meta-sep"><?php _e( ' | ', 'twentyten' ); ?></span>
-			<?php endif; //$tags_text ?>
-			<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
-			<?php edit_post_link( __( 'Edit', 'twentyten' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t\n" ); ?>
-		</div><!-- #entry-utility -->
-	</div><!-- #post-<?php the_ID(); ?> -->
+			<div class="entry-utility">
+				<span class="cat-links"><span class="entry-utility-prep entry-utility-prep-cat-links"><?php echo twentyten_cat_list(); ?></span></span>
+				<span class="meta-sep"> | </span>
+				<?php $tags_text = twentyten_tag_list(); ?>
+				<?php if ( !empty($tags_text) ) : ?>
+				<span class="tag-links"><span class="entry-utility-prep entry-utility-prep-tag-links"><?php echo $tags_text; ?></span></span>
+				<span class="meta-sep"> | </span>
+				<?php endif; //$tags_text ?>
+				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
+				<?php edit_post_link( __( 'Edit', 'twentyten' ), "<span class=\"meta-sep\">|</span>\n\t\t\t\t\t\t<span class=\"edit-link\">", "</span>\n\t\t\t\t\t\n" ); ?>
+			</div><!-- #entry-utility -->
+		</div><!-- #post-<?php the_ID(); ?> -->
 
-	<?php comments_template( '', true ); ?>
+		<?php comments_template( '', true ); ?>
 
-<?php } ?>
+	<?php endif; // if different categories queried ?>
 <?php endwhile; ?>
 
-<?php if (  $wp_query->max_num_pages > 1 ) { ?>
+<?php if (  $wp_query->max_num_pages > 1 ) : ?>
 				<div id="nav-below" class="navigation">
 					<div class="nav-previous"><?php next_posts_link(__( '<span class="meta-nav">&larr;</span> Older posts', 'twentyten' )); ?></div>
 					<div class="nav-next"><?php previous_posts_link(__( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyten' )); ?></div>
 				</div><!-- #nav-below -->
-<?php } ?>
+<?php endif; ?>
Index: /trunk/wp-content/themes/twentyten/search.php
===================================================================
--- /trunk/wp-content/themes/twentyten/search.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/search.php	(revision 13498)
@@ -5,5 +5,5 @@
 
 <?php if ( have_posts() ) : ?>
-				<h1 class="page-title"><?php _e( 'Search Results for: ', 'twentyten' ); ?><span><?php the_search_query(); ?></span></h1>
+				<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'twentyten' ), '<span>' . get_search_query() . '</span>'); ?></h1>
 	<?php get_generic_template( 'loop', 'search' ); ?>
 <?php else : ?>
Index: /trunk/wp-content/themes/twentyten/single.php
===================================================================
--- /trunk/wp-content/themes/twentyten/single.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/single.php	(revision 13498)
@@ -43,10 +43,20 @@
 
 					<div class="entry-utility">
-					<?php printf( __( 'This entry was posted in %1$s%2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>. Follow any comments here with the <a href="%5$s" title="Comments RSS to %4$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a>.', 'twentyten' ),
-						get_the_category_list(', '),
-						get_the_tag_list( __( ' and tagged ', 'twentyten' ), ', ', '' ),
-						get_permalink(),
-						the_title_attribute('echo=0'),
-						get_post_comments_feed_link() ); ?>
+					<?php
+						$tag_list = get_the_tag_list();
+						if ( '' != $tag_list ) {
+							$utility_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>. Follow any comments here with the <a href="%5$s" title="Comments RSS to %4$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a>.', 'twentyten' );
+						} else {
+							$utility_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>. Follow any comments here with the <a href="%5$s" title="Comments RSS to %4$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a>.', 'twentyten' );
+						}
+						printf( 
+							$utility_text,
+							get_the_category_list(', '),
+							$tag_list,
+							get_permalink(),
+							the_title_attribute('echo=0'),
+							get_post_comments_feed_link() 
+						); 
+					?>
 
 <?php edit_post_link( __( 'Edit', 'twentyten' ), "\n\t\t\t\t\t<span class=\"edit-link\">", "</span>" ); ?>
Index: /trunk/wp-content/themes/twentyten/tag.php
===================================================================
--- /trunk/wp-content/themes/twentyten/tag.php	(revision 13497)
+++ /trunk/wp-content/themes/twentyten/tag.php	(revision 13498)
@@ -6,5 +6,7 @@
 <?php the_post(); ?>
 
-				<h1 class="page-title"><?php _e( 'Tag Archives: ', 'twentyten' ); ?><span><?php single_tag_title(); ?></span></h1>
+				<h1 class="page-title"><?php 
+					printf(__( 'Tag Archives: %s', 'twentyten' ), '<span>' . single_tag_title('', false) . '</span>');
+				?></h1>
 
 <?php rewind_posts(); ?>